Uploaded image for project: 'Cassandra'
  1. Cassandra
  2. CASSANDRA-17019

JNA 5.6.0 does not support arm64

    XMLWordPrintableJSON

Details

    • Bug
    • Status: Resolved
    • Normal
    • Resolution: Fixed
    • 4.1-alpha1, 4.1
    • Dependencies
    • None

    Description

      Cassandra depends on net.java.dev.jna.jna version 5.6.0 to do the native binding into the C library.

      JNA 5.6.0 does not support arm64 architecture (Apple M1 devices), causing cassandra to fail on bootstrap.
      Bumping the dependency to 5.9.0 adds arm64 support. Will a PR to bump the dependency be acceptable ?

      Attachments

        1. cassandra_UTs.txt
          638 kB
          Yuqi Gu
        2. UTs_snappy_upgrading.txt
          457 kB
          Yuqi Gu

        Issue Links

          Activity

            People

              yqGu Yuqi Gu
              igmar Igamr Palsenberg
              Yuqi Gu
              Dinesh Joshi, Stefan Miklosovic
              Votes:
              0 Vote for this issue
              Watchers:
              10 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: